<#ibiztemplate>
TARGET=PSSYSAPP
</#ibiztemplate>
<#assign httpPort = "8080">
<#if sysrun?? >
    <#if sysrun.getPSDevSlnMSDepApp()??>
        <#if sysrun.getPSDevSlnMSDepApp().getHttpPort()??>
            <#assign httpPort = sysrun.getPSDevSlnMSDepApp().getHttpPort()?c>
        </#if>
    </#if>
</#if>
version: "3.2"
services:
  ${pub.getCodeName()?lower_case}-app-${app.getPKGCodeName()?lower_case}:
    image: registry.cn-shanghai.aliyuncs.com/ibizsys/${pub.getCodeName()?lower_case}-app-${app.getPKGCodeName()?lower_case}:latest
    ports:
      - "${httpPort}:${httpPort}"
    networks:
      - agent_network
    deploy:
      mode: replicated
      replicas: 1

networks:
  agent_network:
    driver: overlay
    attachable: true